Package com.google.gwt.uibinder.elementparsers

## Class UiTextInterpreter

- java.lang.Object
- - com.google.gwt.uibinder.elementparsers.UiTextInterpreter

- All Implemented Interfaces:
    `com.google.gwt.uibinder.rebind.XMLElement.Interpreter<java.lang.String>`
  Direct Known Subclasses:
    `UiSafeHtmlInterpreter`

      public class UiTextInterpreter
      extends java.lang.Object
      implements com.google.gwt.uibinder.rebind.XMLElement.Interpreter<java.lang.String>

  Interprets generic message tags like: <ui:text from="{myMsg.message}" />. It's called in both text and HTML contexts.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `protected class` | `UiTextInterpreter.Delegate` | Used in `ComputedAttributeInterpreter.interpretElement(com.google.gwt.uibinder.rebind.XMLElement)` to invoke the `ComputedAttributeInterpreter`.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected ComputedAttributeInterpreter` | `computedAttributeInterpreter` |
    `protected com.google.gwt.uibinder.rebind.UiBinderWriter` | `writer` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UiTextInterpreter​(com.google.gwt.uibinder.rebind.UiBinderWriter writer)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected ComputedAttributeInterpreter` | `createComputedAttributeInterpreter()` |
    `protected java.lang.String` | `getLocalName()` |
    `java.lang.String` | `interpretElement​(com.google.gwt.uibinder.rebind.XMLElement elem)` | Given an XMLElement, return its filtered value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### writer

          protected final com.google.gwt.uibinder.rebind.UiBinderWriter writer

    - #### computedAttributeInterpreter

          protected final ComputedAttributeInterpreter computedAttributeInterpreter

  - ### Constructor Detail

    - #### UiTextInterpreter

          public UiTextInterpreter​(com.google.gwt.uibinder.rebind.UiBinderWriter writer)

  - ### Method Detail

    - #### interpretElement

          public java.lang.String interpretElement​(com.google.gwt.uibinder.rebind.XMLElement elem)
                                            throws UnableToCompleteException

      Description copied from interface: `com.google.gwt.uibinder.rebind.XMLElement.Interpreter`
      Given an XMLElement, return its filtered value.
      Specified by:
        `interpretElement` in interface `com.google.gwt.uibinder.rebind.XMLElement.Interpreter<java.lang.String>`
      Throws:
        `UnableToCompleteException` - on error

    - #### createComputedAttributeInterpreter

          protected ComputedAttributeInterpreter createComputedAttributeInterpreter()

    - #### getLocalName

          protected java.lang.String getLocalName()